version: '3.1'
services:
   proxy:
      image: nginx
      ports:
           - 80:80
      volumes:
          - ./nginx.conf:/etc/nginx/conf.d/default.conf
   red:
      build:
         context: .
         dockerfile: red.Dockerfile
      image: red_httpd

   blue:
      build:
         context: .
         dockerfile: blue.Dockerfile
      image: blue_httpd
   
   black:
      build:
         context: .
         dockerfile: black.Dockerfile
      image: black_httpd

   #blue:
   #   image: httpd
   #   volumes:
   #       - ./indexblue.html:/usr/local/apache2/htdocs/index.html 

   #red:
   #   image: httpd
   #   volumes:
   #       - ./indexred.html:/usr/local/apache2/htdocs/index.html
   
   #black:
   #   image: httpd
   #   volumes:
   #       - ./indexblack.html:/usr/local/apache2/htdocs/index.html
